Consultar venda
Utilizando o order_number do pedido, faça uma requisição para o endpoint abaixo, retornando as informações do pedido.
GET /api/v1/order/{order_number}Parâmetros de requisição
Seção intitulada “Parâmetros de requisição”| Name | Type | Description |
|---|---|---|
| order_number* | String | Código da transação. |
Respostas
Seção intitulada “Respostas”{ "success": true, "data": { "token": "3e1d9542-09fe-4b8b-9800-38f99f5b2147", "order_number": "1654112455", "public_key": "t9rb", "status": "paid", "origin": "checkout", "src": "<src>", "ref": "<ref>", "created_at": "2021-08-01 16:40:55", "updated_at": "2022-06-01 16:40:55", "checkout": { "name": "Checkout Software SaaS", "key": "plano-one" }, "customer": { "email": "carlos46@example.com", "fullname": "Dr. Martinho Vila Bittencourt", "taxvat": "085.276.039-69", "telephone": "95889-6971" }, "address": { "postcode": "54522-135", "street": "Rua dos Araçás", "number": "96", "complement": "", "city": "Cabo de Santo Agostinho", "region": "Rio Grande do Sul", "district": "Operário" }, "payment": { "name": "Cartão de Crédito", "method": "credit", "link_to_pay": "https://sandbox.azpag.dev/order/pay/t9rb/1654112455", "digitable": null, "due_date": null }, "totals": { "subtotal": "99.00", "fee": "0.00", "total": "99.00", "net": "99.00" }, "items": [] }}{ "hasError": true, "response": "Not found"}{ "hasError": true, "response": "Too many requests."}{ "hasError": true, "response": "Error on server, try again."}